(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.idealyzerChartBehavior = {
    attach: function (context, settings) {
      if (context === document) {
        console.log(drupalSettings.cmsChartData.wordpress);
        console.log(drupalSettings.cmsChartData.drupal);
        console.log(drupalSettings.cmsChartData.na);
        var ctx = document.getElementById("cmsChart").getContext("2d");
        var cmsChart = new Chart(ctx, {
          type: "pie",
          data: {
            labels: ["WordPress", "Drupal", "NA"],
            datasets: [{
              data: [
                drupalSettings.cmsChartData.wordpress,
                drupalSettings.cmsChartData.drupal,
                drupalSettings.cmsChartData.na
              ],
              backgroundColor: ["#36a2eb", "#ff6384", "#cccccc"]
            }]
          },
          options: {
            responsive: true,
            maintainAspectRatio: false,
            title: {
              display: true,
              text: "CMS Distribution"
            }
          }
        });
      }
    }
  };
})(jQuery, Drupal, drupalSettings);
